package com.lianqin360.aresrctbasic.views.IWebView;


import android.webkit.GeolocationPermissions;

import android.webkit.WebChromeClient;
import android.webkit.WebStorage;
import android.webkit.WebView;

public class MyWebChromeClient extends WebChromeClient {
    private MyWebView mWebView;
    public MyWebChromeClient(MyWebView webView){
        mWebView = webView;
    }
    @Override
    public void onExceededDatabaseQuota(String url,
                                        String databaseIdentifier, long currentQuota,
                                        long estimatedSize, long totalUsedQuota,
                                        WebStorage.QuotaUpdater quotaUpdater) {
        quotaUpdater.updateQuota(estimatedSize * 2);
    }

    @Override
    public void onReachedMaxAppCacheSize(long spaceNeeded,
                                         long totalUsedQuota, WebStorage.QuotaUpdater quotaUpdater) {
        quotaUpdater.updateQuota(spaceNeeded * 2);
    }
    public void onGeolocationPermissionsShowPrompt(String origin,
                                                   GeolocationPermissions.Callback callback) {
        callback.invoke(origin, true, false);
        super.onGeolocationPermissionsShowPrompt(origin, callback);
    }

    @Override
    public void onProgressChanged (WebView view, int newProgress) {
        mWebView.delegate.onProgressChanged(mWebView,newProgress);
        if(newProgress==100){
        }
    }
	/* @Override
	 public boolean onJsPrompt(WebView view, String origin, String message, String defaultValue, final JsPromptResult result) {
	        // Unlike the @JavascriptInterface bridge, this method is always called on the UI thread.
		 String handledRet = null;
		 if (defaultValue != null && defaultValue.length() > 3 && defaultValue.startsWith("gap:")) {
	            JSONArray array;
	            try {
	                array = new JSONArray(defaultValue.substring(4));
	                int bridgeSecret = array.getInt(0);
	                String service = array.getString(1);
	                String action = array.getString(2);
	                String callbackId = array.getString(3);
	               //String r = jsExec(bridgeSecret, service, action, callbackId, message);
	               // return r == null ? "" : r;
	                handledRet= "";
	            } catch (JSONException e) {
	                e.printStackTrace();
	            }
	            handledRet= "";
	        }


	        if (handledRet != null) {
	            result.confirm(handledRet);
	        }
	        return true;
	    }
*/
}