package com.lianqin360.aresrctbasic.views.animation;

import java.util.TimerTask;

/**
 * Created by Spencer on 16/9/19.
 */
public class AnimateTimerTask extends TimerTask {
    private AnimationView animation;
    public AnimateTimerTask(AnimationView animation){
        this.animation = animation;
    }
    /**
     * The task to run should be specified in the implementation of the {@code run()}
     * method.
     */
    @Override
    public void run() {
        if(animation.isFinish()){
            animation.animateMessageHandler.sendEmptyMessage(AnimateMessageHandler.WHAT_FINISH_ANIMATIO);
            return;
        }
        animation.animateMessageHandler.sendEmptyMessage(AnimateMessageHandler.WHAT_ON_ANIMATION);

    }
}
