//
//  CookieManager.m
//  m
//
//  Created by Spencer on 16/6/29.
//  Copyright © 2016年 Facebook. All rights reserved.
//

#import "RCTCookieManager.h"
#import "MyCookieManager.h"
@implementation RCTCookieManager

MyCookieManager *myCookieManager = nil;
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/
- (id)init {
  self = [super init];
  if (self) {
    myCookieManager = [[MyCookieManager alloc] init];
  }
  
  return self;
}
RCT_EXPORT_MODULE(CookieManager);

RCT_EXPORT_METHOD(setCookie:(NSString *)url name:(NSString *)name value :(NSString *)value)
{
  [myCookieManager setCookie:url name:name value:value];
}
RCT_EXPORT_METHOD(removeAllCookie)
{
  [myCookieManager removeAllCookie];
}
RCT_EXPORT_METHOD(removeSessionCookie)
{
  [myCookieManager removeSessionCookie];

}

RCT_EXPORT_METHOD(setAcceptCookie:(BOOL *)isAccept)
{
  [myCookieManager setAcceptCookie:isAccept];

}
RCT_EXPORT_METHOD(syncCookie)
{
  [myCookieManager syncCookie];

}
RCT_EXPORT_METHOD(cookies:(RCTResponseSenderBlock )callback)
{
  callback(@[[myCookieManager cookies]]);
  
}
RCT_EXPORT_METHOD(cookiesForURL:(NSString *)url callback:(RCTResponseSenderBlock )callback)
{
  NSDictionary *cookies = [myCookieManager cookiesForURL:url];
  callback(@[cookies]);
  
}
@end
