/**
 * @description - button
 */
'use strict'
import React, { Component } from 'react';
import {
  StyleSheet,
  Text,
  View,
  TextInput,
  TouchableOpacity
} from 'react-native';
import PropTypes from 'prop-types';

class Button extends Component{
    constructor(...props){
        super(...props);
    }
    render(){
        return (
            <TouchableOpacity
                activeOpacity = {1}
                style = {[styles.btnBase,this.props.style]}
                onPress = {this.props.onPress}>
                    <Text style = {[styles.textBase,this.props.textStyle]}>{this.props.text}</Text>
            </TouchableOpacity>
        );
    }
}
const styles = StyleSheet.create({
    btnBase:{
        flexDirection:'row',
        justifyContent:'center',
        alignItems:'center'
    },
    textBase:{

    }
});
Button.propTypes = {
    text:PropTypes.string,
    textStyle:TextInput.propTypes.style,
    onPress:PropTypes.func,
    ...View.props
}
Button.defaultProps = {
    onPress:()=>{}
}
export default Button;