package com.lianqin360.aresrctbasic.modules.restarter;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;

/**
 * Created by Spencer on 2016/11/4.
 */

public class ReactRestarter extends ReactContextBaseJavaModule {
    private ReactNativeRestarter restarter;
    public ReactRestarter(ReactApplicationContext reactContext) {
        super(reactContext);
        restarter = new ReactNativeRestarter(reactContext);

    }

    /**
     * @return the name of this module. This will be the name used to {@code require()} this module
     * from javascript.
     */
    @Override
    public String getName() {
        return "RCTRestarter";
    }
    @ReactMethod
    public void restart(){
        restarter.restart();
    }
}

