package com.lianqin360.aresrctbasic.views.animation;

import android.os.Handler;
import android.os.Message;

/**
 * Created by Spencer on 16/9/19.
 */
public class AnimateMessageHandler extends Handler {
    public static final int WHAT_START_ANIMATION = 1000;
    public static final int WHAT_ON_ANIMATION = 2000;
    public static final int WHAT_FINISH_ANIMATIO = 3000;
    private AnimationView animationView;
    public AnimateMessageHandler(AnimationView animationView){
        this.animationView = animationView;
    }
    @Override
    public void handleMessage(Message msg) {
        switch (msg.what){
            case WHAT_START_ANIMATION:
                //animationView.onAnimate(animationView.getNextValue());
                break;
            case WHAT_ON_ANIMATION:
                animationView.onAnimate(11,animationView.getNextValue());
                break;
            case WHAT_FINISH_ANIMATIO:
                animationView.cancelAnimate();
                break;
        }
    }
}
