package com.lianqin360.aresrctbasic.views.pdfView;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.SimpleViewManager;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.annotations.ReactProp;
import com.joanzapata.pdfview.PDFView;

public class PDFViewManager extends SimpleViewManager<PDFView> {
    private static final String REACT_CLASS = "RCTPDFViewAndroid";
    Integer pageNumber = 1;
    String filePath;
    String src;


    @Override
    public String getName() {
        return REACT_CLASS;
    }

    @Override
    public PDFView createViewInstance(ThemedReactContext context) {
        return new PDFView(context, null);
    }
    @ReactProp(name = "source")
    public void setSource(PDFView view, String source) {
        src = source;
    }

}


