//
//  WebViewJsModule.m
//  tbj
//
//  Created by Spencer on 16/9/18.
//  Copyright © 2016年 Facebook. All rights reserved.
//

#import "WebViewJsModule.h"


@implementation WebViewJsModule{
    
    BOOL registered;
  
}
@synthesize bridge = _bridge;
static WebViewJsModule *_instance = nil;


RCT_EXPORT_MODULE(WebViewJsModule);
+(instancetype) shareInstance
{
 /* static dispatch_once_t onceToken ;
  dispatch_once(&onceToken, ^{
    _instance = [[self alloc] init] ;
  }) ;*/
  return _instance;
}


- (id) copyWithZone:(NSZone *)zone //第四步
{
  return self;
}

- (id)init
{
  self = [super init];
  _instance = self;
  return self;

}


-(void)invoke:(NSString *)name args:(NSObject *)args{
   [_bridge  enqueueJSCall:@"WebViewJsModule.invoke" args:[NSArray arrayWithObjects:name, args, nil]];
}
-(void)onPushBind:(NSObject *)args{
  [self.bridge  enqueueJSCall:@"WebViewJsModule" method:@"onPushBind" args:[NSArray arrayWithObjects:args, nil] completion:^{
    NSLog(@"通知js推送绑定成功");
  }];

}
@end
