/**
 * @description - 提供给webview调用
 */
'use strict'

const BatchedBridge = require('react-native/Libraries/BatchedBridge/BatchedBridge');

var JSModule = {}
var WebViewJsModule = {
    invoke:function(method,args){   
        if(JSModule[method]){
            JSModule[method](args);
        }
    }
    

}
BatchedBridge.registerCallableModule(
  'WebViewJsModule',  
  WebViewJsModule
);

export default {
    register:function(key,callback){
        JSModule[key] = callback;
    },
    release:function(key){
        delete JSModule[key];
    }
}