'use strict'
class HttpEvent {
    constructor(type,status,entity,request,response,message,target){
        this.type = type;
        this.status = status;
        this.request = request;
        this.response = response;
        this.httpEntity = entity;
        this.message = message;
        this.target = target;
    }
}

HttpEvent.REQUEST_FINISH = 'requestFinish';
HttpEvent.REQUEST_BEGIN = 'requestBegin';
HttpEvent.UNINITIALIZED = 0;
HttpEvent.INTERACTIVE = 1;
HttpEvent.COMPLETED = 2;
HttpEvent.TIMEOUT = 3;
export default HttpEvent;