'use strict'
var LazyLoadChild = require('./LazyLoadChild').default;
var HTMLView = require('./HTMLView').default;
var PullToRefresh = require('./PullToRefresh');
var CheckBox = require('./checkbox').default;
var AutoSizeImage = require( './AutoSizeImage').default;
var SlideToDelete = require( './SlideToDelete').default;
var GestrurePassword = require( './gesturepassword').default;
var Button = require( './Button').default;
var Picker = require( './Picker').default;
var IPicker = require( './IPicker').default;
var DatePicker = require( './DatePicker').default;

var Switch = require( './Switch').default;

var TextInput = require('./TextInput').default;

module.exports = {
    LazyLoadChild,
    ...PullToRefresh,
    CheckBox,
    HTMLView,
    AutoSizeImage,
    SlideToDelete,
    GestrurePassword,
    Button,
    IPicker,
    DatePicker,
    Picker,
    TextInput,
    Switch,
    WebView:require('./WebView').default
}